INTERFACE
SUBROUTINE LARMESTL(KST,KPROF,KSTABUF,LDSETTLS,PB1,PB15,PB2,&
 & PLSDEPI,PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,PNORDL,PNORDM,&
 & PLON,PLAT,PCOSCO,PSINCO,PSINLA,PCOPHI,PLEV,PR,PS,&
 & KL0,KLH0,PDLO,PDLAT,PCLA,KLEV,PDVER,PVINTW,&
 & PLON5,PLAT5,PCOSCO5,PSINCO5,PSINLA5,PCOPHI5,PLEV5,PR5,PS5,PUF5,PVF5,&
 & PDLO5,PDLAT5,PCLA5,PDVER5,PVINTW5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN ,NDGSAH ,&
 & NDGENH ,NDLUNG ,NDLUXG ,NDGUXG ,NRLEVX 
USE YOMDYN , ONLY : NITMP ,LELTRA ,VETAON ,VETAOX
USE YOMMP , ONLY : NASLB1
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB15,NFLDSLB2
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(NDGSAH:NDGENH)
LOGICAL ,INTENT(IN) :: LDSETTLS
REAL(KIND=JPRB) ,INTENT(IN) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB15(NASLB1,NFLDSLB15)
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(NDGSAH:NDGENH)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PS(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KL0(NPROMA,NFLEVG,0:3,NITMP)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA(NPROMA,NFLEVG,3)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOSCO5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINCO5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINLA5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOPHI5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(IN) :: PLEV5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PS5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(IN) :: PUF5(NPROMA,NFLEVG,NITMP-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVF5(NPROMA,NFLEVG,NITMP-1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO5(NPROMA,NFLEVG,0:3,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW5(NPROMA,NFLEVG,3)
END SUBROUTINE LARMESTL
END INTERFACE
